package io.gitlab.jfronny.translater;

import io.gitlab.jfronny.libjf.config.api.v2.Entry;
import io.gitlab.jfronny.libjf.config.api.v2.JfConfig;

@JfConfig(referencedConfigs = "libjf-translate-v1")
public class Cfg {
    @Entry public static int rounds = 5;
    @Entry public static boolean breakFully = false;
    @Entry public static String targetLanguage = "en";
    @Entry public static ProgressMode renderProgress = ProgressMode.None;
    @Entry public static boolean forceRegenerate = false;
    @Entry public static boolean useDefaultCache = true;

    static {
        JFC_Cfg.ensureInitialized();
    }
}
